/**
 * Sample React Native App
 * https://github.com/facebook/react-native
 *
 * @format
 * @flow
 */

import React, { Component } from 'react';
import { Button, View, Text, Dimensions } from 'react-native'
import MultiQuestionDialog from 'react-native-multi-question-dialog'

export default class App extends Component {
  state = {
    dialogVisible: false
  }
  render() {
    return (
      <View style={{ flex: 1, backgroundColor: 'green' }}>
        <Button
          onPress={() => {
            this.setState({ dialogVisible: true })
          }
          }
          title="Open Dialog"
          color="#841584"
        />
        <MultiQuestionDialog 
          visible={this.state.dialogVisible} 
          close={() => this.setState({ dialogVisible: false })} 
          width= { Dimensions.get('window').width * 0.75 }
          height= { Dimensions.get('window').height * 0.4 }
          backgroundColor='white'
          animationType="slide"
          presentationStyle={'overFullScreen'}
          transparent={true}
          content={
            <Text>Hello Everyone</Text>
          }/>
      </View>
    )
  }
}
