import React, { Component } from 'react'
import { View } from 'react-native'
import TouchableCloser from './touchable_closer'

export default class MultiQuestionDialogWrapper extends Component {

    render() {
        return (
            <View style={{ marginTop: 22, flex: 1, flexDirection: 'column', alignContent: 'center', justifyContent: 'center', alignItems: 'center' }}>

                <TouchableCloser closeFunction={() => {
                    this.props.close()
                }} />

                <View style={{ flexDirection: 'row' }}>
                    <TouchableCloser closeFunction={() => {
                        this.props.close()
                    }} />

                    {this.props.contentView}

                    <TouchableCloser closeFunction={() => {
                        this.props.close()
                    }} />
                </View>

                <TouchableCloser closeFunction={() => {
                    this.props.close()
                }} />
            </View>
        )
    }
}