import React, { Component } from 'react'
import { Modal, Text, View } from 'react-native'
import MultiQuestionDialogWrapper from './dialog_wrapper'

export default class MultiQuestionDialog extends Component {

  render() {
    return (
      <View style={{ marginTop: 22 }}>
        <Modal
          animationType={this.props.animationType}
          transparent={this.props.transparent}
          visible={this.props.visible}
          presentationStyle={this.props.presentationStyle}
          onRequestClose={() => {
            this.props.close()
          }}>

          <MultiQuestionDialogWrapper close={() => this.props.close()} contentView={
            <View style={{ width: this.props.width, height: this.props.height, backgroundColor: this.props.backgroundColor }}>
              {this.props.content}
            </View>
          } />


        </Modal>
      </View>
    )
  }
}